org.apache.fop.fo.properties

## Class BoxPropShorthandParser

- java.lang.Object
- - org.apache.fop.fo.properties.GenericShorthandParser
  - - org.apache.fop.fo.properties.BoxPropShorthandParser

- All Implemented Interfaces:
    ShorthandParser

      public class BoxPropShorthandParser
      extends GenericShorthandParser

  Shorthand property parser for Box properties

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoxPropShorthandParser()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Property` | `convertValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)` Stores 1 to 4 values of same type.

    - ### Methods inherited from class org.apache.fop.fo.properties.GenericShorthandParser

      `getElement, getValueForProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoxPropShorthandParser

          public BoxPropShorthandParser()

      Default constructor.

  - ### Method Detail

    - #### convertValueForProperty

          protected Property convertValueForProperty(int propId,
                                                     Property property,
                                                     PropertyMaker maker,
                                                     PropertyList propertyList)
                                              throws PropertyException

      Stores 1 to 4 values of same type. Set the given property based on the number of values set. Example: padding, border-width, border-color, border-style, margin Converts a property name into a Property int, Property, PropertyMaker, PropertyList)
      Overrides:
        `convertValueForProperty` in class `GenericShorthandParser`
      Parameters:
        `propId` - the property ID in the Constants interface
        `property` - ...
        `maker` - the Property.Maker to be used in the conversion
        `propertyList` - the PropertyList from which the Property should be extracted
      Returns:
        the Property matching the parameters, or null if not found
      Throws:
        `PropertyException` - (when?)

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.